#ifndef IO_H
#define IO_H

#include "typedef.h"

// === io.c ===
    void del_cmd_list(CMD_GRP_ENUM grp);
    void create_cmd_list(CMD_GRP_ENUM grp,char* get[],int n);
    char buff_input(char *inbuff, char *_buff);
    char cmd_buff(char* _buff,CMD_GRP_ENUM grp);
    char get_matrix_num(void);
    int get_num(void);

    void declarete_cmd_main();

#endif
